Subject: traffic isolation and port numbers

From: [email-masked] (Konstantinos Dovrolis)
Date: Sun, 1 Feb 1998 04:19:05 -0600

> 
> > Networks also have the incentive to do this port/application classification,
> 
> Sounds like CBQ where the class, in this case, is based on the port number.
> 
> Wu
> 

Right. But CBQ is just a potential mechanism; not the "architecture 
principle". I think that the latter is: Find a way to classify and
isolate applications/sources/users that adapt to the network
conditions from those that do not. After you isolate them (and perhaps
it will not be just a two-level isolation), service each class of
them with plain-old aggregation mechanisms such as FCFS. 
The service model of the network remains as it was 20 years back.
The only difference is in terms of fairness and "collapse avoidance".

>From this point of view, I am not sure if the discussion that started
a few months ago, regarding differentiated services, is on the
right track. There is a major difference between diff-services
and isolation of traffic classes based on their "social behavior".
It is an economic difference that also has technical implications.
In the diff-serv case, users have to pay based on what and how
much from each service-class they give/get from the net.
So we have all these questions about profiles, policing, sender or
receiver charging, assurance of the service level of each class
and so on. In the "social behavior"-based classification,
there is nothing from all of these concerns, because the network
remains absolutely best-effort. If you are an unhappy user because
you cannot get 200kbps for your video-conference application,
you can either switch to an adaptive application that can also
work at 50kbps, or if that does not satisfy you either, to be
sure that no other application (non-adaptive or adaptive) would
work, and consequently the issue is not how to change something
in the network architecture, but how to convince your ISP that
he has to buy a few more T1s... 

Cheers,

Constantinos